# SAMConnection::commit

(PECL sam >= 0.1.0)

SAMConnection::commit — Commits (completes) the current unit of work

### Description

SAMConnection::commit ( void ) : bool

Calling the "commit" method on a Connection object commits (completes) all in-flight transactions that are part of the current unit of work.

### Return Values

This method returns `FALSE` if an error occurs.

### Examples

Example #1 Committing the current unit of work

`<?php
if (!$conn->commit()) {
// The commit failed!
echo "Commit failed ($conn->errno) $conn->error";
}
?>`

### See Also

- SAMConnection::rollback